from fastapi import APIRouter, Depends

from app.routers.auth import get_current_user
from app.routers.address import address_router
from app.routers.contact import contact_router
from app.routers.shipment import shipment_router

protected_router = APIRouter(
    dependencies=[Depends(get_current_user)]  # Applies to all routes
)

protected_router.include_router(address_router, prefix="/addresses", tags=["addresses"])
protected_router.include_router(contact_router, prefix="/contacts", tags=["contacts"])
protected_router.include_router(
    shipment_router, prefix="/shipments", tags=["shipments"]
)
